> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Native Coin Holders List

` GET /blockscout/addresses `

Get Native Coin Holders List

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Responses

### ` 200 ` — Token

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` exchange_rate `, ` total_supply `, ` items `, ` next_page_params `

  - ` exchange_rate `: type ` string `

    - example: ` "0.01" `

  - ` total_supply `: type ` string `

    - example: ` "100000000" `

  - ` items `: type ` array `

    - ` array item `: type ` unknown `

      - ` allOf constraint 1 `: type ` object `

        - Required fields: ` hash `

        - ` creator_address_hash `: type ` string `

          - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

        - ` creation_transaction_hash `: type ` string `

          - example: ` "0x1f610ff9c1efad6b5a8bb6afcc0786cd7343f03f9a61e2544fcff908cedee924" `

        - ` token `: type ` object `

          - Required fields: ` address `, ` circulating_market_cap `, ` icon_url `, ` symbol `, ` name `, ` decimals `, ` type `, ` holders `, ` exchange_rate `, ` total_supply `

          - ` circulating_market_cap `: type ` string `

            - example: ` "83606435600.3635" `

          - ` icon_url `: type ` string `

            - example: ` "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png" `

          - ` name `: type ` string `

            - example: ` "Tether USD" `

          - ` decimals `: type ` string `

            - example: ` "6" `

          - ` symbol `: type ` string `

            - example: ` "USDT" `

          - ` address `: type ` string `

            - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

          - ` type `: type ` string `

            - example: ` "ERC-20" `

          - ` holders `: type ` string `

            - example: ` "837494234523" `

          - ` exchange_rate `: type ` string `

            - example: ` "0.99" `

          - ` total_supply `: type ` string `

            - example: ` "10000000" `

        - ` coin_balance `: type ` string `

          - example: ` "10000000" `

        - ` exchange_rate `: type ` string `

          - example: ` "1.01" `

        - ` implementation_address `: type ` string `

          - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

        - ` block_number_balance_updated_at `: type ` integer `

          - example: ` 27656552 `

        - ` hash `: type ` string `

          - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

        - ` implementation_name `: type ` string `

          - example: ` "implementationName" `

        - ` name `: type ` string `

          - example: ` "contractName" `

        - ` is_contract `: type ` boolean `

        - ` private_tags `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` address_hash `, ` display_name `, ` label `

            - ` address_hash `: type ` string `

              - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` watchlist_names `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` display_name `, ` label `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` public_tags `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` address_hash `, ` display_name `, ` label `

            - ` address_hash `: type ` string `

              - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` is_verified `: type ` boolean `

        - ` has_beacon_chain_withdrawals `: type ` boolean `

        - ` has_logs `: type ` boolean `

        - ` has_token_transfers `: type ` boolean `

        - ` has_tokens `: type ` boolean `

        - ` has_validated_blocks `: type ` boolean `

      - ` allOf constraint 2 `: type ` object `

        - Required fields: ` transaction_count `

        - ` transaction_count `: type ` string `

          - example: ` "1234" `

  - ` next_page_params `: type ` object `

    - example: ` {"fetched_coin_balance":"269536604956070000000","hash":"0xf74769d9ffe1cd17f20b283995cf9e7fa2a262ed","items_count":50} `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/addresses'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/addresses', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/addresses')
print(response.json())
```